`<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body bgcolor="#FFFFFF" text="#000000">
<div class="moz-cite-prefix">On 06-12-16 23:39, Даниил Ландау wrote:<br>
</div>
<blockquote cite="mid:166CB11C-4DE9-4B6D-BC2C-4FE7BBAD3493@gmail.com" type="cite">
I had a very similar problem a couple of days ago.
<div class="">I solved it by using unique vlan numbers for each nic/vnic pair in the qemu arguments, i.e.:</div>
<div class=""><br class="">
</div>
<div class="">
<pre style="white-space: pre-wrap; background-color: rgb(255, 255, 255);" class="">/usr/bin/qemu-system-x86_64 \
-name "$(basename $NAME)" \
-boot cd \
-enable-kvm \
-vnc 0.0.0.0:$VNC \
-smp 2 \
-m $MEM \
-no-hpet \
-localtime \
-drive file=$HDD,if=ide,index=0 \
-drive file=$CD,media=cdrom,if=ide,index=2 \
-net nic,vlan=0,name=net0,model=e1000,macaddr=$mac1 \
-net vnic,vlan=0,name=net0,ifname=$VNIC1,macaddr=$mac1, \
-net nic,vlan=1,name=net1,model=e1000,macaddr=$mac2 \
-net vnic,vlan=1,name=net1,ifname=$VNIC2,macaddr=$mac2, \
-vga std \
-daemonize</pre>
<div class=""><br class="">
</div>
</div>
<div class="">Daniil</div>
<div class=""><br class="">
</div>
<br>
<fieldset class="mimeAttachmentHeader"></fieldset> <br>
<pre wrap="">_______________________________________________
OmniOS-discuss mailing list
<a class="moz-txt-link-abbreviated" href="mailto:OmniOS-discuss@lists.omniti.com">OmniOS-discuss@lists.omniti.com</a>
<a class="moz-txt-link-freetext" href="http://lists.omniti.com/mailman/listinfo/omnios-discuss">http://lists.omniti.com/mailman/listinfo/omnios-discuss</a>
</pre>
</blockquote>
<p>Thank you very much Daniil it's working perfect.</p>
<p>This make my day :)</p>
<p><br>
</p>
<p>Kind Regards,</p>
<p><br>
</p>
<p>Dirk<br>
</p>
</body>
</html>
`